/**
 * @file
 */
(function ($, Drupal) {
  'use strict';

  Drupal.behaviors.flush = {
    /**
     * Drupal attach behavior.
     */

    attach: function (context, settings) {
      // Triggers when the cache is cleared to play a sound.
      $('body', context).once('flush').each(function () {
        if (settings.flush_cache_cleared == 'true') {
          var flush = document.createElement('audio');
          flush.setAttribute('src', settings.flush.pathToSound);
          flush.play();
        }
      });
    },
  };
})(jQuery, Drupal, drupalSettings, once);
